Subject: [alpine-user] Unsatisfiable Constraints

From: James Cloos <[email-masked]>
Date: Wed, 25 May 2016 00:15:13 -0400

On one of my alpine servers I'm now getting this every time I
try to do an apk upgrade:

ERROR: unsatisfiable constraints:
  Huh? Error reporter did not find the broken constraints.

Googling suggested running:

awk -F: '$1 == "P" { p=$2 }; \
$1=="i" {i=$2}; \
$0=="" && i {print p ": "i; p=""; i=""}' /lib/apk/db/installed 

but that gives no results.

I'm using edge, and /etc/apk/world has 97 only lines.

I have another server also using edge which works fine.

What do I need to do to get this box's apk working again?

-JimC
-- 
James Cloos <[email-masked]>         OpenPGP: 0x997A9F17ED7DAEA6

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---